#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint aidlab_sdk.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'aidlab_sdk'
  s.version          = '1.7.0'
  s.summary          = 'Aidlab iOS SDK for Flutter.'
  s.description      = <<-DESC
  Aidlab iOS SDK for Flutter.
                       DESC
  s.homepage         = 'https://www.aidlab.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Aidlab' => 'contact@aidlab.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'

  s.preserve_paths = 'AidlabSDK.framework'
  s.vendored_frameworks = 'AidlabSDK.xcframework'
  s.platform = :ios, '14.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.9'
end
